CALIBREDB(1)

NAME
calibredb - calibredb

            calibredb komanda [opcijas] [argumenti]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

            •   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the Content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

            •   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

    •   GLOBĀLIE IESTATĪJUMI

    •   list

    •   add

        •   PIEVIENOT NO MAPĒM

    •   remove

    •   add_format

    •   remove_format

    •   show_metadata

    •   set_metadata

    •   export

    •   catalog

        •   EPUB OPCIJAS

    •   saved_searches

    •   add_custom_column

    •   custom_columns

    •   remove_custom_column

    •   set_custom

    •   restore_database

    •   check_library

    •   list_categories

    •   backup_metadata

    •   clone

    •   embed_metadata

    •   search

    •   fts_index

    •   fts_search

GLOBĀLIE IESTATĪJUMI

    --help, -h
        parādīt šo palīdzības paziņojumu un iziet

    --library-path, --with-library
        Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: <http://hostname:port/#library_id> for example, <http://localhost:8080/#mylibrary>. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see <https://manual.calibre-ebook.com/generated/en/calibredb.html>.

    --password
        Parole savienojumam ar calibre satura serveri. Lai nolasītu paroli no standarta ievades, izmantojiet īpašo vērtību: <stdin>. Lai nolasītu paroli no faila, izmantojiet: <f:/path/to/file> (t.i., <f: seko pilns ceļš uz failu un beidzas ar >). Nepieciešamas iepriekš norādītās leņķa iekavas, neaizmirstiet izvairīties no tām vai izmantot pēdiņas savam apvalkam.

    --timeout
        Pārtraukums dažu sekunžu laikā, kad tīklā tiek izveidots savienojums ar calibre bibliotēku. Noklusējums ir divas minūtes.

    --username
        Lietotājvārds, lai izveidotu savienojumu ar calibre satura serveri

    --version
        parādīt programmas versijas numuru un iziet

LIST

            calibredb list [options]

Pieejamais grāmatu saraksts calibre datu bāzē.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --ascending
        Kārtot rezultātus augošā secībā

    --fields, -f
        Lauki, kas jāuzrāda, iekļaujot grāmatas datu bāzē. Lauku sarakstu jāatdala ar komatu. Pieejamie lauki:author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Noklusējums: title,authors. Īpašo lauku "all" , var izmantot, lai atlasītu visus laukus. Papildus iepriekš minētajiem laukiem, pielāgotie lauki ir pieejami arī kā * field_name, piemēram, pielāgotajam laukam #rating, izmantojiet nosaukumu: *rating

    --for-machine
        Veido izvadi JSON formātā, kas ir vairāk piemērots programmas šķirošanai. Ignorē līniju platumu un atdalītāju.

    --limit
        Maksimālais attēlojamo rezultātu skaits. Noklusētais: visi

    --line-width, -w
        Maksimālais rindas platums izvadē. Noklusētais - mēģināt noteikt ekrāna izmērus.

    --prefix
        Prefikss visiem failu ceļiem. Pēc noklusējuma absolūtais ceļš uz bibliotēkas mapi.

    --search, -s
        Filtrēt rezultātus pēc meklēšanas. Par meklēšanas formātu, lūdzu, skatiet lietotāja rokasgrāmatā pieejamo dokumentāciju. Pēc noklusējuma nefiltrē.

    --separator
        Teksts, ar kuru atdalīta laukus. Pēc noklusējuma tā ir atstarpe.

    --sort-by
        The field by which to sort the results. You can specify multiple fields by separating them with commas. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Default: id. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating

    --template
        The template to run if "template" is in the field list. Note that templates are ignored while connecting to a calibre server. Default: None

    --template_file, -t
        Ceļš uz failu, kas satur veidni, kuru palaist, ja lauku sarakstā ir "template". Noklusējuma iestatījums: Nav .

    --template_heading
        Šablona kolonnas virsraksts. Noklusējuma iestatījums: template. Šī opcija tiek ignorēta, ja ir iestatīta opcija --for-machine.

ADD

            calibredb pievienot [opcijas] failu1 failu2 failu3 ...

Pievienojiet norādītos failus kā grāmatas datu bāzei. Varat arī norādīt mapes, skatiet tālāk norādītās ar mapi saistītās opcijas.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --authors, -a
        Ievadiet pievienotās(-o) grāmatas(-u) autoru(s)

    --automerge, -m
        Ja tiek atrastas grāmatas ar līdzīgiem nosaukumiem un autoriem, automātiski sapludiniet ienākošos formātus (failus) esošajos grāmatu ierakstos. Vērtība "ignorēt" nozīmē, ka dublētie formāti tiek atmesti. "Pārrakstīt" vērtība nozīmē, ka dublētie formāti bibliotēkā tiek pārrakstīti ar tikko pievienotajiem failiem. Vērtība "new_record" nozīmē, ka dublēti formāti tiek ievietoti jaunā uzskaites ierakstā.

    --cover, -c
        Ceļš līdz pievienotās grāmatas vākam

    --duplicates, -d
        Pievienojiet grāmatas datu bāzei pat tad, ja tās jau pastāv. Salīdzinājums tiek veikts, pamatojoties uz grāmatu nosaukumiem un autoriem. Ņemiet vērā, ka opcijai --automerge ir prioritāte.

    --empty, -e
        Pievienot tukšu grāmatu (grāmatu bez formātiem)

    --identifier, -I
        Iestatiet šīs grāmatas identifikatorus, piemēram, -I asin:XXX -I isbn:YYY

    --isbn, -i
        Ievadiet pievienotās(-o) grāmatas(-u) ISBN

    --languages, -l
        Ar komatu atdalīts valodu saraksts (vislabāk izmantot ISO639 valodu kodu, lai gan var būt atpazīti arī daži parasti valodu nosaukumi)

    --series, -s
        Ievadiet pievienotās(-o) grāmatas(-u) sērijas

    --series-index, -S
        Ievadiet pievienotās(-o) grāmatas(-u) sēriju numurus

    --tags, -T
        Ievadiet pievienotās(-o) grāmatas(-u) birkas

    --title, -t
        Ievadiet pievienotās(-o) grāmatas(-u) nosaukumu

  PIEVIENOT NO MAPĒM

Opcija, lai kontrolētu grāmatu pievienošanu no mapēm. Pēc noklusējuma tiek pievienoti tikai tie faili, kuriem ir zināmi e-grāmatu failu tipu paplašinājumi.

    --add
        Faila nosaukuma (glob) šablons, faili, kas atbilst šim modelim, tiks pievienoti, skenējot mapes, lai atrastu failus, pat ja tiem nav zināms e-grāmatas faila veids. Var norādīt vairākas reizes vairākiem modeļiem.

    --ignore
        Faila nosaukuma (glob) šablons, faili, kas atbilst šim modelim, tiks ignorēti, pārbaudot mapes, lai meklētu failus. Var norādīt vairākas reizes vairākiem modeļiem. Piemēram: *.pdf ignorēs visus PDF failus

    --one-book-per-directory, -1
        Pieņemsim, ka katrā mapē ir tikai viena grāmata un visi tajā esošie faili ir dažādi šīs grāmatas e-grāmatu formāti

    --recurse, -r
        Apstrādāt mapes rekursīvi

REMOVE

            calibredb remove ids

Izņemt no datubāzes grāmatas ar noteiktu id. Id jābūt ar komatu atdalītiem id numuru sarakstam (id numurus varat iegūt, izmantojot meklēšanas komandu). Piemēram, 23,34,57-85 (norādot diapazonu, pēdējais diapazona numurs nav iekļauts).

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --permanent
        Neizmantojiet Atkritne

ADD_FORMAT

            calibredb add_format [options] id ebook_file

Pievienojiet e-grāmatu, ebook_file loģiskai grāmatai, kas identificē pieejamos id formātus. Id var iegūt, izmantojot komandu "Meklēt". Ja formāts jau pastāv, to aizstāj, ja vien nav norādīta opcija "Neaizstāt".

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --as-extra-data-file
        Pievienot grāmatai kā papildu datu failu, nevis e-grāmatas formātu

    --dont-replace
        Neaizvietot formātu, ja tāds jau pastāv

REMOVE_FORMAT

            calibredb remove_format [opcijas] id fmt

Noņemt formātu fmt no loģiskās grāmatas, kas identificēta ar id. Jūs varat iegūt id, izmantojot meklēšanas komandu. Fmt jābūt faila paplašinājumam, piemēram, LRF vai TXT vai EPUB. Ja loģiskajai grāmatai nav pieejams fmt, nedariet neko.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

SHOW_METADATA

            calibredb show_metadata [opcijas] id

Parāda grāmatas metadatus, kas glabājas calibre datu bāzē identificēts ar id. id ir id numurs no meklēšanas komandas.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --as-opf
        Drukāt datus OPF formā (XML)

SET_METADATA

            calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Set the metadata stored in the calibre database for the book identified by book_id from the OPF file metadata.opf. book_id is a book id number from the search command. You can get a quick feel for the OPF format by using the --as-opf switch to the show_metadata command. You can also set the metadata of individual fields with the --field option. If you use the --field option, there is no need to specify an OPF file.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --field, -f
        Lauks, kas jāiestata. Formāts ir field_name: vērtība, piemēram: --field tags:tag1,tag2. Izmantojiet --list-fields, lai iegūtu sarakstu ar visiem lauku nosaukumiem. Varat norādīt šo opciju vairākas reizes, lai iestatītu vairākus laukus. Piezīme: Valodai jums jāizmanto ISO639 valodu kods (piemēram, angļu valodā en, franču valodā fr utt.). Id sintakse ir --field identifiers:isbn:XXXX,doi:YYYYY. Loģiskiem (jā/nē) laukiem tiek izmantoti true un false vai yes un no.

    --list-fields, -l
        Ar --field papildiespēju izmantojamo metadatu lauku nosaukumu saraksts

EXPORT

            calibredb export [options] ids

Export the books specified by ids (a comma separated list) to the filesystem. The export operation saves all formats of the book, its cover and metadata (in an OPF file). Any extra data files associated with the book are also saved. You can get id numbers from the search command.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --all
        Eksportēt visas datubāzē esošās grāmatas, neņemot vērā id sarakstu,

    --dont-asciiize
        Lieciet Calibre konvertēt visas ne-angļu rakstzīmes failu nosaukumos ar angļu valodas ekvivalentiem. Tas ir noderīgi, ja tiek saglabāts vecā failu sistēmā, kas pilnībā neatbalsta Unicode failu nosaukumus. Atzīmējot šo slēdzi, darbība tiks izslēgta.

    --dont-save-cover
        Parasti calibre saglabā vāku atsevišķā failā kopā ar faktiskajiem e-grāmatu failiem. Atzīmējot šo slēdzi, darbība tiks izslēgta.

    --dont-save-extra-files
        Saglabājot grāmatu, saglabāt visus ar grāmatu saistītos datu failus. Atzīmējot šo slēdzi, darbība tiks izslēgta.

    --dont-update-metadata
        Parasti Calibre atjauninās metadatus saglabātajās datnēs no tā, kas atrodas Calibre bibliotēkā. Padara saglabāšanu uz diska lēnāku. Atzīmējot šo slēdzi, darbība tiks izslēgta.

    --dont-write-opf
        Parasti Calibre raksta metadatus atsevišķā OPF datnē kopā ar citām e-grāmatas datnēm. Atzīmējot šo slēdzi, darbība tiks izslēgta.

    --formats
        Ar komatu atdalītu formātu saraksts katras grāmatas saglabāšanai. Pēc noklusējuma tiek saglabāti visi pieejamie formāti.

    --progress
        Ziņojuma progress

    --replace-whitespace
        Aizvietot atstarpes ar apakšsvītrām

    --single-dir
        Eksportējiet visas grāmatas vienā mapē

    --template
        The template to control the filename and folder structure of the saved files. Default is "{author_sort}/{title}/{title} - {authors}" which will save books into a per-author subfolder with filenames containing title and author. Available controls are: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

    --timefmt
        Datumu attēlošanas formāts. %d - diena, %b - mēnesis, %m - mēneša kārtas skaitlis, %Y - gads. Noklusētais ir: %b, %Y

    --to-dir
        Eksportējiet grāmatas uz norādīto mapi. Noklusējums ir .

    --to-lowercase
        Pārvērst ceļu nosaukumus uz apakšējo reģistru

CATALOG

            calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --ids, -i
        Ar komatu atdalīts ID saraksts datu bāzes katalogā. Ja uzrādīts, :option:
        `
        --mekl`ēšana tiek ignorēta. Noklusējums: visas

    --search, -s
        Filtrēt rezultātus pēc meklēšanas. Meklēšanas formātu, skatiet Lietotāja rokasgrāmatā, ar meklēšanu saistīto dokumentāciju. Noklusējums: bez filtrēšanas

    --verbose, -v
        Parādīt detalizētu izejas informāciju. Noderīga atkļūdošanai

  EPUB OPCIJAS

    --catalog-title
        Ģenerētā kataloga nosaukums, kas tiek izmantots kā metadatu virsraksts. Noklusējums: 'My Books' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --cross-reference-authors
        Iekšējās atsauces var veidot ar vairāku autoru grāmatām, sadaļā autori. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --debug-pipeline
        Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

    --exclude-genre
        Regulārā izteiksme apraksta birkas, kuras izslēgt kā žanrus. Noklusējums: '[.+]|^+$' izslēdz iespiestās birkas, piem., "[Project Gutenberg]" un "+" - noklusējuma birkas lasītām grāmatām. Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --exclusion-rules
        Norāda noteikumus, kurus izmanto, lai izslēgtu grāmatas no izveidotā kataloga. Izņēmuma noteikumu modelis ir vai nu ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). Piemēram: (('Archived books','#status','Archived'),) izslēgs grāmatu ar vērtību "arhivēts" pielāgotajā slejā "statuss". Ja ir definēti vairāki noteikumi, tiks piemēroti visi noteikumi. Noklusējums: "(('Catalogs','Tags','Catalog'),)" Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --generate-authors
        Sadaļu "Autori" iekļaut katalogā.. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --generate-descriptions
        Iekļaut sadaļu "Apraksti" katalogā. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --generate-genres
        Iekļaut sadaļu "Žanri" katalogā. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --generate-recently-added
        Iekļaut sadaļu "Nesen pievienoti" katalogā. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --generate-series
        Iekļaut sadaļu "Sērija" katalogā. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --generate-titles
        Iekļaut sadaļu "Nosaukums" katalogā. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --genre-source-field
        Avota lauks sadaļā "Žanri". Noklusējums: 'Birkas' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --header-note-source-field
        Pielāgots lauks, kurā ir piezīmju teksts, lai ievietotu Apraksta virsrakstā. Noklusējums: '' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --merge-comments-rule
        #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with comments [before|after] Placement of notes with respect to comments [True|False] - A horizontal rule is inserted between notes and comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

    --output-profile
        Norāda izvades profilu. Dažos gadījumos, lai optimizētu ierīces katalogu, ir nepieciešams izvades profils. Piemēram, "kindle" vai "kindle_dx" izveido strukturētu Saturu rādītāju ar sadaļām un rakstiem. Noklusējums: 'None' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --prefix-rules
        Norāda noteikumus, ko lieto, lai iekļautu prefiksus, kas norāda lasīšanas grāmatas, vēlmju sarakstus un citus lietotāja prefiksus. Prefiksa noteikuma modelis ir ('<rule name>','<source field>','<pattern>','<prefix>'). Ja ir noteikti vairāki noteikumi, tiks izmantots pirmais atbilstības noteikums. Noklusējums: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --preset
        Izmanto nosaukto sākotnējo iestatījumu, kas izveidots ar GUI kataloga veidotāju. Iestatījums nosaka visus kataloga izveides iestatījumus. Noklusējums: 'None' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --thumb-width
        Izmēra norāde (collas) grāmatu vākiem katalogā.. Diapazons: 1.0 - 2.0 Noklusējums: '1.0' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

    --use-existing-cover
        Aizstāj esošo vāciņu, kad tiek ģenerēts katalogs. Noklusējums: 'False' Attiecas uz: AZW3, EPUB, MOBI izejas formātiem

SAVED_SEARCHES

            calibredb saved_searches [options] (list|add|remove)

Pārvaldiet šajā datubāzē saglabātos meklējumus. Ja mēģināsiet pievienot meklējumu ar jau esošu vārdu, tas tiks aizstāts.

Pievienošanas sintakse:

calibredb saved_searches add search_name search_expression

Noņemšanas sintakse:

calibredb saved_searches remove search_name

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

ADD_CUSTOM_COLUMN

            calibredb add_custom_column [opcijas] datu tipa etiķetes nosaukums

Izveido pielāgotu kolonnu. Etiķete ir datora kolonnas nosaukums. Nedrīkst saturēt atstarpes vai kolu. Kolonnas nosaukumam jābūt saprotamam. datu tips ir viens no: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --display
        Opcija, kas pielāgo, kā tiks šajā slejā interpretēta datu vārdnīca. Tā ir JSON virkne. Par slejas numerāciju, izmantojiet --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Ir daudzas iespējas, kā var parādīt ekrānā mainīgos. Šo sleju tipa opcijas ir šādas: salikts: composite_template, composite_sort, make_category, contains_html, use_decorations datums un laiks: date_format uzskaitījums: enum_values, enum_colors, use_decorations skaitlis vai ar peldošo komatu: number_format teksts: is_names, use_decorations Labākais veids, kā atrast labāko kombināciju ir izveidot pielāgotu attiecīga GUI tipa sleju, tad apskatīt OPF grāmatas dublējumu (nodrošiniet, ka jaunais OPF ir izveidots pēc slejas pievienošanas). Jūs redzēsiet JSON jauno OPF sleju kā "parādītu".

    --is-multiple
        Šī sleja saglabā birkas kā datus (piemēram, vairākus ar komatiem atdalītas vērtības). Piemēro tikai tad, ja datu tips ir teksts.

CUSTOM_COLUMNS

            calibredb custom_columns [options]

Pieejamais pielāgoto sleju saraksts. Parāda sleju etiķetes un id.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --details, -d
        Rādīt katras slejas detaļas.

REMOVE_CUSTOM_COLUMN

            calibredb remove_custom_column [options] label

Noņemt pielāgoto sleju identificētās etiķetes. Jūs varat redzēt pieejamās slejas ar custom_columns komandu.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --force, -f
        Nepieprasīt apstiprinājumu

SET_CUSTOM

            calibredb set_custom [options] column id value

Iestatiet pielāgotās slejas vērtību grāmatai, kas identificēta ar id. Jūs varat iegūt id sarakstu, izmantojot meklēšanas komandu. Jūs varat saņemt pielāgoto sleju nosaukumu sarakstu, izmantojot pielāgotās slejas komandu.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --append, -a
        Ja slejā tiek saglabātas vairākas vērtības, pievienot tām esošās vērtības, nevis aizstāt tās.

RESTORE_DATABASE

            calibredb restore_database [options]

Restore this database from the metadata stored in OPF files in each folder of the calibre library. This is useful if your metadata.db file has been corrupted.

WARNING: This command completely regenerates your database. You will lose all saved searches, user categories, plugboards, stored per-book conversion settings, and custom recipes. Restored metadata will only be as accurate as what is found in the OPF files.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --really-do-it, -r
        Izpildīt atgūšanu. Šī komanda netiks izpildīta, kamēr netiks norādīta šī papildiespēja.

CHECK_LIBRARY

            calibredb check_library [opcijas]

Veikt dažas pārbaudes, kas pārstāv bibliotēka sistēmu. Ziņojumi ir invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, malformed_formats, malformed_paths, failed_folders

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --csv, -c
        Izvade CSV

    --ignore_extensions, -e
        Ar komatu atdalītu vērā neņemamo paplašinājumu saraksts. Noklusētais: visi

    --ignore_names, -n
        Ar komatu atdalītu vērā neņemamo nosaukumu saraksts. Noklusētais: visas

    --report, -r
        Ar komatu atdalītu atskaišu saraksts. Noklusētais: visas

    --vacuum-fts-db
        Iztīriet pilna teksta meklēšanas datu bāzi. Tas var būt ļoti lēns un aizņem daudz atmiņas atkarībā no datu bāzes lieluma.

LIST_CATEGORIES

            calibredb list_categories [opcijas]

Izveidojiet pārskatu par kategorijas informāciju datubāzē. Šī informācija ir līdzvērtīga tai, kas tiek rādīta birku pārlūkā.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --categories, -r
        Ar komatu atdalīts kategoriju nosaukumu meklēšanas saraksts. Noklusējums: visas

    --csv, -c
        Izvade CSV

    --dialect
        CSV faila izveidošanas veids. Izvēle: excel, excel-tab, unix

    --item_count, -i
        Izvadīt tikai kategoriju vienību skaitu, nevis skaita vienumu kategorijā

    --width, -w
        Maksimālais rindas platums izvadē. Noklusētais - mēģināt noteikt ekrāna izmērus.

BACKUP_METADATA

            calibredb backup_metadata [options]

Backup the metadata stored in the database into individual OPF files in each books folder. This normally happens automatically, but you can run this command to force re-generation of the OPF files, with the --all option.

Note that there is normally no need to do this, as the OPF files are backed up automatically, every time metadata is changed.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --all
        Parasti šī komanda darbojas tikai ar grāmatām ar novecojušām OPF datnēm. Šī papildiespēja liek tai darboties ar visām grāmatām.

CLONE

            calibredb clone path/to/new/library

Izveidot tekošās bibliotēkas klonu. Tādējādi tiek izveidota jauna, tukša bibliotēka, kurā ir visas pielāgotās kolonnas, virtuālās bibliotēkas un citi iestatījumi, kā pašreizējā bibliotēkā.

Klonēta bibliotēka nesatur grāmatas. Ja vēlaties izveidot pilnu dublikātu, tostarp visas grāmatas, tad izmantojiet failu sistēmas instrumentus, lai kopētu bibliotēkas mapi.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

EMBED_METADATA

            calibredb embed_metadata [opcijas] book_id

Atjaunina faktisko grāmatu failus, kas saglabāti calibre bibliotēkā no calibre metadatu bāzes. Parasti metadati tiek atjaunināti tikai tad, kad eksportē failus no calibre, šī komanda ir noderīga, ja vēlaties, failus atjaunināt savā vietā. Ņemiet vērā, ka dažādi failu formāti atbalsta dažādas metadatu summas. Lai atjauninātu metadatus, varat izmantot īpašo vērtību "all",, lai atjauninātu book_id visām grāmatām. Varat arī norādīt vairāku grāmatu id, atdalītus ar atstarpēm un id diapazonus atdalītus ar defisēm. Piemēram: % prog embed_metadata 1 2 10 15 23

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --only-formats, -f
        Atjaunināt metadatu failus tikai norādītajā formātā. Norādiet to vairākas reizes, vairākiem formātiem. Pēc noklusējuma, tiek atjaunināti visi formāti.

SEARCH

            calibredb search [options] search expression

Search the library for the specified search term, returning a comma separated list of book ids matching the search expression. The output format is useful to feed into other commands that accept a list of ids as input.

The search expression can be anything from calibre's powerful search query language, for example: calibredb search author:asimov 'title:"i robot"'

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --limit, -l
        Maksimālais atgriezto rezultātu skaits. Pēc noklusējuma - visi.

FTS_INDEX

            calibredb fts_index [options] enable/disable/status/reindex

Control the Full text search indexing process.

    enable
        Turns on FTS indexing for this library

    disable
        Turns off FTS indexing for this library

    status
        Shows the current indexing status

    reindex
        Can be used to re-index either particular books or the entire library. To re-index particular books specify the book ids as additional arguments after the reindex command. If no book ids are specified the entire library is re-indexed.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --indexing-speed
        Indeksēšanas ātrums. Izmantojiet ātri, lai ātri indeksētu, izmantojot visus datora resursus, un lēni, lai indeksētu izmantojot mazāk resursu. Ņemiet vērā, ka ātrums tiek atiestatīts uz lēnu pēc katras izsaukšanas.

    --wait-for-completion
        Pagaidiet līdz visas grāmatas tiks indeksētas, periodiski parādot indeksēšanas gaitu

FTS_SEARCH

            % prog fts_search [opcijas] meklēšanas izteiksme

Veiciet pilnu teksta meklēšanu visā bibliotēkā vai tās apakškopā.

Katru reizi, kad jūs nododat argumentus calibredb, kam ir atstarpes, pievienojiet argumentus pēdiņās. Piemēram: "/some path/with spaces"

    --do-not-match-on-related-words
        Atbilst tikai precīziem vārdiem, kas nav saistīti. Tātad labojums nesakritīs ar labošanu.

    --include-snippets
        Iekļaujiet katras atbilstības teksta fragmentus. Ņemiet vērā, ka tas padara meklēšanu daudz lēnāku.

    --indexing-threshold
        Cik liela daļa bibliotēkas ir jāindeksē, pirms tiek atļauta meklēšana, procentos. Pēc noklusējuma 90

    --match-end-marker
        Marķieris, ko izmanto, lai norādītu atbilstošā vārda beigas fragmentā

    --match-start-marker
        Marķieris, ko izmanto, lai norādītu atbilstošā vārda sākumu fragmentā

    --output-format
        Formāts meklēšanas rezultātu izvadīšanai. Vai nu “text” vienkāršam tekstam vai “json” JSON izvadei.

    --restrict-to
        Ierobežojiet meklētās grāmatas, izmantojot meklēšanas izteiksmi vai ID. Piemēram: ids:1,2,3, lai ierobežotu pēc ID, vai search:tag:foo, lai ierobežotu tikai grāmatas, kurām ir birka foo.

Author
Kovid Goyal

Copyright
Kovid Goyal